Subject: bug#79200: 31.0.50; Duplicated elements for '#<marker at' in buffer-undo-list

From: Óscar Fuentes <[email-masked]>
Date: Thu, 14 Aug 2025 16:14:22 +0200

Stefan Monnier <[email-masked]> writes:

> Taking a step back:
>
> We may want to rethink whether storing that undo information is worth
> the trouble at all.  It's hard to know for sure, but we do have one data
> point: in Emacs-28, overlays' end-points used those marker-offset undo
> elements to better preserve overlays' end-points across undo, whereas
> this was lost with emacs-29's new overlays.
>
> AFAIK nobody noticed/complained.

Here I'm working with an idle timer that simply removes those marker
elements every few seconds. Five days of intensive use and Emacs behaves
normally from my POV. Maybe my usage is too restrictive, dunno (I never
use undo-in-region, for instance.)

OTOH, Emacs is using much less memory than usual (rigth now at 1.1 GB
when 2.5 was normal.)